<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlRxGainPhaseMonConf_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlRxGainPhaseMonConf_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>RX gain and phase monitoring configuration.  
 <a href="structrl_rx_gain_phase_mon_conf__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_monitoring.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a89dd7b90df17deb6510ce4728d2bb625"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a89dd7b90df17deb6510ce4728d2bb625"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rx_gain_phase_mon_conf__t.html#a89dd7b90df17deb6510ce4728d2bb625">profileIndx</a></td></tr>
<tr class="memdesc:a89dd7b90df17deb6510ce4728d2bb625"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field indicates the profile Index for which this configuration applies. <br /></td></tr>
<tr class="separator:a89dd7b90df17deb6510ce4728d2bb625"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a753590d4774ce1b32e7ebc75d6fec062"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a753590d4774ce1b32e7ebc75d6fec062"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rx_gain_phase_mon_conf__t.html#a753590d4774ce1b32e7ebc75d6fec062">rfFreqBitMask</a></td></tr>
<tr class="memdesc:a753590d4774ce1b32e7ebc75d6fec062"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field indicates the RF frequencies inside the profile's RF band at which to measure the required parameters. When each bit in this field is set, the measurement at the corresponding RF frequency is enabled w.r.t. the profile's RF band. <br />
 Bit number RF frequency RF name <br />
 0 Lowest RF frequency RF1 <br />
 in profile's sweep bandwidth <br />
 1 Center RF frequency in profile's RF2 <br />
 sweep bandwidth <br />
 2 Highest RF frequency in RF3 <br />
 profile's sweep bandwidth <br />
 The RF name column is mentioned here to set the convention for the purpose of reporting and describing many monitoring packets. <br />
. <br /></td></tr>
<tr class="separator:a753590d4774ce1b32e7ebc75d6fec062"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef3bdf6af2bc3150c5b8a182fab3a43d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aef3bdf6af2bc3150c5b8a182fab3a43d"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rx_gain_phase_mon_conf__t.html#aef3bdf6af2bc3150c5b8a182fab3a43d">reserved0</a></td></tr>
<tr class="memdesc:aef3bdf6af2bc3150c5b8a182fab3a43d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:aef3bdf6af2bc3150c5b8a182fab3a43d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68259b97911a8bb72d673539e9d5b535"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a68259b97911a8bb72d673539e9d5b535"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rx_gain_phase_mon_conf__t.html#a68259b97911a8bb72d673539e9d5b535">txSel</a></td></tr>
<tr class="memdesc:a68259b97911a8bb72d673539e9d5b535"><td class="mdescLeft">&#160;</td><td class="mdescRight">Value Definition <br />
 0 TX0 is used for generating loopback signal for RX gain measurement <br />
 1 TX1 is used for generating loopback signal for RX gain measurement. <br />
. <br /></td></tr>
<tr class="separator:a68259b97911a8bb72d673539e9d5b535"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6c9ad8f9508b4684eb26f8dc502a5fc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab6c9ad8f9508b4684eb26f8dc502a5fc"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rx_gain_phase_mon_conf__t.html#ab6c9ad8f9508b4684eb26f8dc502a5fc">rxGainAbsThresh</a></td></tr>
<tr class="memdesc:ab6c9ad8f9508b4684eb26f8dc502a5fc"><td class="mdescLeft">&#160;</td><td class="mdescRight">The magnitude of difference between the programmed and measured RX gain for each <br />
 enabled channel at each enabled RF frequency, is compared against this <br />
 threshold. The comparison result is part of the monitoring report message <br />
 (Error bit is set if any measurement is above this threshold). Before the <br />
 comparison, the measured gains for each RF and RX are adjusted by subtracting <br />
 the offset given in the RX_GAIN_MISMATCH_OFFSET_VALUE field <br />
 1 LSB = 0.1 dB <br />
 Valid range: TBD to 60 <br />
 Recommended value = TBD <br />
. <br /></td></tr>
<tr class="separator:ab6c9ad8f9508b4684eb26f8dc502a5fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa99f8efb5198c38c234b1a1861b611ff"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa99f8efb5198c38c234b1a1861b611ff"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rx_gain_phase_mon_conf__t.html#aa99f8efb5198c38c234b1a1861b611ff">rxGainMismatchErrThresh</a></td></tr>
<tr class="memdesc:aa99f8efb5198c38c234b1a1861b611ff"><td class="mdescLeft">&#160;</td><td class="mdescRight">The magnitude of difference between measured RX gains across the enabled channels <br />
 at each enabled RF frequency is compared against this threshold. The comparison <br />
 result is part of the monitoring report message (Error bit is set if the <br />
 measurement is above this threshold). Before the comparison, the measured gains <br />
 for each RF and RX are adjusted by subtracting the offset given in the <br />
 RX_GAIN_MISMATCH_OFFSET_VALUE field. <br />
 1 LSB = 0.1 dB <br />
 Valid range: TBD to 60 <br />
 Recommended value = TBD <br />
. <br /></td></tr>
<tr class="separator:aa99f8efb5198c38c234b1a1861b611ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6be04929ed7c3d85c69cecb0e7d25dd4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6be04929ed7c3d85c69cecb0e7d25dd4"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rx_gain_phase_mon_conf__t.html#a6be04929ed7c3d85c69cecb0e7d25dd4">rxGainFlatnessErrThresh</a></td></tr>
<tr class="memdesc:a6be04929ed7c3d85c69cecb0e7d25dd4"><td class="mdescLeft">&#160;</td><td class="mdescRight">The magnitude of measured RX gain flatness error, for each enabled channel, is <br />
 compared against this threshold. The flatness error for a channel is defined as <br />
 the peak to peak variation across RF frequencies. The comparison result is part <br />
 of the monitoring report message (Error bit is set if any measurement is above <br />
 this threshold). Before the comparison, the measured gains for each RF and RX <br />
 are adjusted by subtracting the offset given in the <br />
 RX_GAIN_MISMATCH_OFFSET_VALUE field. <br />
 1 LSB = 0.1 dB <br />
 Valid range: TBD to 60 <br />
 Recommended value = TBD <br />
 This flatness check is applicable only if multiple RF Frequencies are enabled, <br />
 i.e., RF_FREQ_BITMASK has bit numbers 0,1,2 set <br />
. <br /></td></tr>
<tr class="separator:a6be04929ed7c3d85c69cecb0e7d25dd4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2aedff987bc52501795f7d13224ec768"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2aedff987bc52501795f7d13224ec768"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rx_gain_phase_mon_conf__t.html#a2aedff987bc52501795f7d13224ec768">rxGainPhaseMismatchErrThresh</a></td></tr>
<tr class="memdesc:a2aedff987bc52501795f7d13224ec768"><td class="mdescLeft">&#160;</td><td class="mdescRight">The magnitude of measured RX phase mismatch across the enabled channels at each <br />
 enabled RF frequency is compared against this threshold. The comparison result <br />
 is part of the monitoring report message (Error bit is set if any measurement <br />
 is above this threshold). Before the comparison, the measured phases for each <br />
 RF and RX are adjusted by subtracting the offset given in the <br />
 RX_PHASE_MISMATCH_OFFSET_VALUE field. <br />
 1 LSB = 360(degree) / 2^16 . <br />
 Valid range: corresponding to 2 (TBD) to 20 degree. <br />
 Recommended value = TBD <br />
. <br /></td></tr>
<tr class="separator:a2aedff987bc52501795f7d13224ec768"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae492ad5b21968b3a97347b3cb4e8f2ad"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae492ad5b21968b3a97347b3cb4e8f2ad"></a>
rlInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rx_gain_phase_mon_conf__t.html#ae492ad5b21968b3a97347b3cb4e8f2ad">rxGainMismatchOffsetVal</a> [RL_RX_CNT][RL_MON_RF_FREQ_CNT]</td></tr>
<tr class="memdesc:ae492ad5b21968b3a97347b3cb4e8f2ad"><td class="mdescLeft">&#160;</td><td class="mdescRight">The offsets to be subtracted from the measured RX gain for each RX and RF before <br />
 the relevant threshold comparisons are given here. <br />
 Byte numbers corresponding to different RX and RF, in this field are <br />
 here: <br />
 RF1 RF2 RF3 <br />
 RX0 [1:0] [9:8] [17:16] <br />
 RX1 [3:2] [11:10] [19:18] <br />
 RX2 [5:4] [13:12] [21:20] <br />
 RX3 [7:6] [15:14] [23:22] <br />
 1 LSB = 0.1 dB, signed number <br />
 Only the entries of enabled RF Frequencies and enabled RX channels are <br />
 considered. <br />
. <br /></td></tr>
<tr class="separator:ae492ad5b21968b3a97347b3cb4e8f2ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb6ad650f1b791ea42d429f6c21e2702"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abb6ad650f1b791ea42d429f6c21e2702"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rx_gain_phase_mon_conf__t.html#abb6ad650f1b791ea42d429f6c21e2702">rxGainPhaseMismatchOffsetVal</a> [RL_RX_CNT][RL_MON_RF_FREQ_CNT]</td></tr>
<tr class="memdesc:abb6ad650f1b791ea42d429f6c21e2702"><td class="mdescLeft">&#160;</td><td class="mdescRight">The offsets to be subtracted from the measured RX phase for each RX and RF <br />
 before the relevant threshold comparisons are given here. Byte numbers <br />
 corresponding to different RX and RF, in this field are here: <br />
 RF1 RF2 RF3 <br />
 RX0 [1:0] [9:8] [17:16] <br />
 RX1 [3:2] [11:10] [19:18] <br />
 RX2 [5:4] [13:12] [21:20] <br />
 RX3 [7:6] [15:14] [23:22] <br />
 1 LSB = 360(degree) / 2^16 , unsigned number <br />
 Only the entries of enabled RF Frequencies and enabled RX channels are <br />
 considered. <br />
. <br /></td></tr>
<tr class="separator:abb6ad650f1b791ea42d429f6c21e2702"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6d1d11fce8ac373072d513e781af9c7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af6d1d11fce8ac373072d513e781af9c7"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rx_gain_phase_mon_conf__t.html#af6d1d11fce8ac373072d513e781af9c7">reserved1</a></td></tr>
<tr class="memdesc:af6d1d11fce8ac373072d513e781af9c7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:af6d1d11fce8ac373072d513e781af9c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a43340ffee564cf4ae33bda368666f6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3a43340ffee564cf4ae33bda368666f6"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rx_gain_phase_mon_conf__t.html#a3a43340ffee564cf4ae33bda368666f6">reserved2</a></td></tr>
<tr class="memdesc:a3a43340ffee564cf4ae33bda368666f6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a3a43340ffee564cf4ae33bda368666f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>RX gain and phase monitoring configuration. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_monitoring.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
